io.etcd.jetcd.api

## Class AuthUserGrantRoleRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>
      - - io.etcd.jetcd.api.AuthUserGrantRoleRequest.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, AuthUserGrantRoleRequestOrBuilder, Cloneable

Enclosing class:
  AuthUserGrantRoleRequest

    public static final class AuthUserGrantRoleRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>
    implements AuthUserGrantRoleRequestOrBuilder

Protobuf type `etcdserverpb.AuthUserGrantRoleRequest`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`AuthUserGrantRoleRequest.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthUserGrantRoleRequest` `build()`
`AuthUserGrantRoleRequest` `buildPartial()`
`AuthUserGrantRoleRequest.Builder` `clear()`
`AuthUserGrantRoleRequest.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`AuthUserGrantRoleRequest.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`AuthUserGrantRoleRequest.Builder` `clearRole()` role is the name of the role to grant to the user.
`AuthUserGrantRoleRequest.Builder` `clearUser()` user is the name of the user which should be granted a given role.
`AuthUserGrantRoleRequest.Builder` `clone()`
`AuthUserGrantRoleRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`String` `getRole()` role is the name of the role to grant to the user.
`com.google.protobuf.ByteString` `getRoleBytes()` role is the name of the role to grant to the user.
`String` `getUser()` user is the name of the user which should be granted a given role.
`com.google.protobuf.ByteString` `getUserBytes()` user is the name of the user which should be granted a given role.
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`AuthUserGrantRoleRequest.Builder` `mergeFrom(AuthUserGrantRoleRequest other)`
`AuthUserGrantRoleRequest.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`AuthUserGrantRoleRequest.Builder` `mergeFrom(com.google.protobuf.Message other)`
`AuthUserGrantRoleRequest.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AuthUserGrantRoleRequest.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`AuthUserGrantRoleRequest.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`AuthUserGrantRoleRequest.Builder` `setRole(String value)` role is the name of the role to grant to the user.
`AuthUserGrantRoleRequest.Builder` `setRoleBytes(com.google.protobuf.ByteString value)` role is the name of the role to grant to the user.
`AuthUserGrantRoleRequest.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`AuthUserGrantRoleRequest.Builder` `setUser(String value)` user is the name of the user which should be granted a given role.
`AuthUserGrantRoleRequest.Builder` `setUserBytes(com.google.protobuf.ByteString value)` user is the name of the user which should be granted a given role.

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### clear

    public AuthUserGrantRoleRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### getDefaultInstanceForType

    public AuthUserGrantRoleRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public AuthUserGrantRoleRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public AuthUserGrantRoleRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public AuthUserGrantRoleRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### setField

    public AuthUserGrantRoleRequest.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                     Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### clearField

    public AuthUserGrantRoleRequest.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### clearOneof

    public AuthUserGrantRoleRequest.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### setRepeatedField

    public AuthUserGrantRoleRequest.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             int index,
                                                             Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### addRepeatedField

    public AuthUserGrantRoleRequest.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                             Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### mergeFrom

    public AuthUserGrantRoleRequest.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthUserGrantRoleRequest.Builder>`

#### mergeFrom

    public AuthUserGrantRoleRequest.Builder mergeFrom(AuthUserGrantRoleRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### mergeFrom

    public AuthUserGrantRoleRequest.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                      com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                               throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<AuthUserGrantRoleRequest.Builder>`
Throws:
  `IOException`

#### getUser

    public String getUser()

     user is the name of the user which should be granted a given role.

`string user = 1;`

Specified by:
  `getUser` in interface `AuthUserGrantRoleRequestOrBuilder`
Returns:
  The user.

#### getUserBytes

    public com.google.protobuf.ByteString getUserBytes()

     user is the name of the user which should be granted a given role.

`string user = 1;`

Specified by:
  `getUserBytes` in interface `AuthUserGrantRoleRequestOrBuilder`
Returns:
  The bytes for user.

#### setUser

    public AuthUserGrantRoleRequest.Builder setUser(String value)

     user is the name of the user which should be granted a given role.

`string user = 1;`

Parameters:
  `value` - The user to set.
Returns:
  This builder for chaining.

#### clearUser

    public AuthUserGrantRoleRequest.Builder clearUser()

     user is the name of the user which should be granted a given role.

`string user = 1;`

Returns:
  This builder for chaining.

#### setUserBytes

    public AuthUserGrantRoleRequest.Builder setUserBytes(com.google.protobuf.ByteString value)

     user is the name of the user which should be granted a given role.

`string user = 1;`

Parameters:
  `value` - The bytes for user to set.
Returns:
  This builder for chaining.

#### getRole

    public String getRole()

     role is the name of the role to grant to the user.

`string role = 2;`

Specified by:
  `getRole` in interface `AuthUserGrantRoleRequestOrBuilder`
Returns:
  The role.

#### getRoleBytes

    public com.google.protobuf.ByteString getRoleBytes()

     role is the name of the role to grant to the user.

`string role = 2;`

Specified by:
  `getRoleBytes` in interface `AuthUserGrantRoleRequestOrBuilder`
Returns:
  The bytes for role.

#### setRole

    public AuthUserGrantRoleRequest.Builder setRole(String value)

     role is the name of the role to grant to the user.

`string role = 2;`

Parameters:
  `value` - The role to set.
Returns:
  This builder for chaining.

#### clearRole

    public AuthUserGrantRoleRequest.Builder clearRole()

     role is the name of the role to grant to the user.

`string role = 2;`

Returns:
  This builder for chaining.

#### setRoleBytes

    public AuthUserGrantRoleRequest.Builder setRoleBytes(com.google.protobuf.ByteString value)

     role is the name of the role to grant to the user.

`string role = 2;`

Parameters:
  `value` - The bytes for role to set.
Returns:
  This builder for chaining.

#### setUnknownFields

    public final AuthUserGrantRoleRequest.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`

#### mergeUnknownFields

    public final AuthUserGrantRoleRequest.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<AuthUserGrantRoleRequest.Builder>`